package macampcorp.macamp.ui;

import android.app.Activity;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.media.SoundPool;

import macampcorp.macamp.activities.R;

public class Sound {

    public static void play(Activity a, int res) {
        MediaPlayer mediaPlayer = MediaPlayer.create(a, res);
        mediaPlayer.setAudioStreamType(AudioManager.STREAM_MUSIC);
        mediaPlayer.setLooping(false);
        mediaPlayer.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
            @Override
            public void onCompletion(MediaPlayer mp) {
                mp.stop();
                mp.release();
            }
        });
        mediaPlayer.start();
    }


    public static void boom(Activity a)
    {
        play(a, R.raw.boom);
    }

    public static void ok(Activity a)
    {
        play(a, R.raw.ok);
    }

    public static void fail(Activity a)
    {
        play(a, R.raw.fail);
    }
}
